Kubernetes
action Deployment

# rollout_deployment

Rollout a deployment.

Run it now
View details

Type | action
Module | chaosk8s.deployment.actions
Name | rollout_deployment
Return | None

Usage

JSON

    {
      "name": "rollout-deployment",
      "type": "action",
      "provider": {
        "type": "python",
        "module": "chaosk8s.deployment.actions",
        "func": "rollout_deployment"
      }
    }

YAML

    name: rollout-deployment
    provider:
      func: rollout_deployment
      module: chaosk8s.deployment.actions
      type: python
    type: action

Arguments

Name | Type | Default | Required | Title | Description
--- | --- | --- | --- | --- | ---
name | string |  | Yes | Name | Name of the deployment
ns | string | ”default” | Yes | Namespace |

Signature

    def rollout_deployment(name: str = None,
                           ns: str = 'default',
                           secrets: Dict[str, Dict[str, str]] = None):
        pass

## Related starters

- Kubernetes
  action Deployment

  ## `scale_deployment`

  Scale a deployment.
- Kubernetes
  probe Deployment

  ## `deployment_fully_available`

  Wait until the deployment gets into a state where all expected replicas are available.
- Kubernetes
  action Deployment

  ## `create_deployment`

  Create a deployment described by a deployment manifest